# Uses of Class
net.shibboleth.idp.saml.authn.principal.NameIdentifierPrincipal

Packages that use NameIdentifierPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameIdentifierPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return NameIdentifierPrincipal
Modifier and Type
Method
Description
`NameIdentifierPrincipal`
NameIdentifierPrincipal.`clone()`
Creates and returns a copy of this object.

## Uses of NameIdentifierPrincipal in net.shibboleth.idp.saml.nameid.impl

Methods in net.shibboleth.idp.saml.nameid.impl that return NameIdentifierPrincipal
Modifier and Type
Method
Description
`private NameIdentifierPrincipal`
NameIdentifierCanonicalization.`getNameIdentifierPrincipal(SubjectCanonicalizationContext c14nContext)`
Helper method that returns the first and only `NameIdentifierPrincipal` provided it matches a valid Format, returning null otherwise.